This endpoint retrieves an employee’s tax declaration. The response object is region-aware. Fields not applicable to the employee’s payroll region will not be returned.
https://api.employmenthero.com/api/v2/organisations/:organisation_id/employees/:employee_id/tax_declarationPath Parameters
The ID of the organisation to retrieve
The ID of the employee to retrieve
Response Body
A hash containing a data property whose value is a Tax Declaration object.
If it does not exist, a 404 Not Found error is returned.
The employee’s first name.
The employee’s last name.
When the tax declaration record was created.
When the tax declaration record was last updated.
Tax File Number.
Reason for TFN exemption.
Is the employee an Australian resident for tax purposes?
Is the employee a foreign resident?
Claims the tax-free threshold.
Has HELP / study loan debts.
Has Financial Supplement debts.
Unix timestamp when the declaration was signed.
Payroll tax code.
Residency status for tax purposes.
Whether the employee is a Working Holiday Maker.
Lodgement status of the declaration.
Lodgement date.
Signed declaration document (Base64 / attachment ID).
Eligible for senior tax offset.
Eligible for dependent tax offset.
STP country code.
Canada Social Insurance Number (SIN).
SIN expiry date.
Tax exemption flag
New Zealand IRD number.
Unix timestamp when the declaration was signed.
Additional pay-as-you-go rate (%).
Has overseas super/pension subject to FTC.
Income applied to tested benefit.
Income band code.
Source of income is non-disclosed.
This is the primary income source.
Meets main income means test.
New Zealand tax resident.
Special tax code rate.
End date for special tax code rate.
Student loan deductions apply.
Student loan deduction rate.
End date for student loan deduction rate.
Base64 signature pad capture.
Derived source of income.
Eligible for special deduction rate (SDR)
Unix timestamp when the record was imported.
Name of the last user who updated the declaration.
Role of the last user who updated the declaration.
Human-readable income band label.
HMRC starter employee statement.
Employee starter type code.
National Insurance Number.
Tax calculation method.
Has student loan deductions.
Student loan type. (plan_1, plan_2, etc.)
Has postgraduate loan deductions.
NI contribution category.
Is the employee a company director?
NI calculation method.
Appointment start date.
Appointment end date.
Has previous employer form.
Previous employer flags.
Payroll ID.
Timestamp of last payroll sync.
Veterans NI relief qualifying end date.
Indicates whether the record is synced to payroll.
Organisation uses Xero UK payroll.
Snapshot of member personal info
Whether the employee belongs to Global Teams.
Member UUID.
External identifier for the member.
External identifier for the organisation.
Payroll-info UUID.
Member is synced to Xero UK payroll.
Member is synced to KeyPay UK payroll.
Example
curl -X GET \ "https://api.employmenthero.com/api/v2/organisations/:organisation_id/employees/:employee_id/tax_declaration" \ -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"Response
{ "data": { "first_name": "Daniel", "last_name": "Alves", "tax_file_number": "000000000", "tax_file_number_exemption_reason": null, "tax_au_resident": true, "tax_foreign_resident": false, "tax_free": false, "tax_help_debt": true, "tax_financial_supplement_debt": false, "tax_signature_signed_at": 1712102400, "tax_code": "TFN", "residency_tax_purposes_status": "resident", "working_holiday_maker": false, "lodgement_status": "lodged", "lodgement_date": "2024-03-10", "tax_signature": "base64-signature==", "senior_tax_offset": false, "dependent_tax_offset": true, "stp_country": "AU", "created_at": "2024-03-02T06:41:31Z", "updated_at": "2024-03-14T02:13:22Z", "social_insurance_number": "123456789", "expiry_date": "2030-12-31", "taxes_and_exemptions": { "income_tax_exempted": false, "cpp_qpp_exempted": false, "ei_qpip_exempted": false, "workers_compensation_exempted": false }, "date_signed": 1712102400, "elected_extra_pay_rate": 4.5, "ftc_overseas_super_or_pension": false, "income_applied_to_tested_benefit": false, "income_band": 2, "ird_number": "123-456-789", "is_non_disclosed": false, "is_primary_income": true, "meets_main_income_means_test": true, "new_zealand_resident": true, "special_tax_code_rate": 10, "special_tax_code_rate_end_date": "31/12/2024", "student_loan": true, "student_loan_rate": 12, "student_loan_rate_end_date": "31/03/2025", "signature_pad": "base64-signature==", "source_of_income": "primary", "eligible_for_sdr": false, "imported_at": 1712102400, "last_updated_by_name": "Jane Smith", "last_updated_by_role": "payroll_admin", "annual_income_band": "Between $48,000 - $70,000", "employee_statement": "A", "employee_starter_type": "new_employee", "national_insurance_number": "QQ123456C", "tax_calculation_method": "cumulative", "has_student_loan": true, "student_loan_type": "plan_2", "has_post_grad_loan": false, "national_insurance_category": "A", "company_director": false, "national_insurance_calculation_method": "standard", "appointment_start_date": "2024-01-01", "appointment_end_date": null, "previous_employer": { "office_number": "123", "reference_number": "AB45678", "w1_m1": false, "tax_period_frequency": "monthly", "tax_period_number": 2, "taxable_pay": 3000, "tax_withheld": 500, "leaving_date": "2023-12-20", "continue_student_loan_deductions": true, "tax_code": "1185L", "document": { "id": "file-123", "name": "p45.pdf", "remote_url": "https://files.example.com/p45.pdf" } }, "payroll_id": "PR-0001", "has_previous_employer_form": true, "last_payroll_updated_at": "2024-03-01T10:15:00Z", "veterans_qualifying_end_date": "2026-12-31", "synced_to_payroll": true, "xero_uk_organisation": false, "member_personal_info": { "age": 30, "gender": "male", "start_date": "2024-02-01" }, "global_teams_employee": false, "member_id": "uuid-member", "member_external_id": "EXT123", "organisation_external_id": "ORG456", "payroll_info_id": "uuid-payrollInfo", "xero_uk_member": false, "keypay_uk_member": true }}